<script lang="ts">
  let user: {
    name: string;
    oin: string;
  } = {
    name: '',
    oin: '',
  };

  let resp: {
    code: string,
    details: string,
  } = {
    code: '',
    details: '',
  }

  async function sendRequest() {
    // Send a request to the the backend to store the employees
    const results = await fetch(`${import.meta.env.VITE_BACKEND_ADDRESS || 'http://localhost:8080'}/echo`, {
        method: 'GET',
        headers: {
          'User': user.name,
          'Oin': user.oin,
        },
      })
      .then((response) => {
        // Check if the request was successful (status code in the range 200-299)
        resp.code = response.status
        return response.json();
      })

    if (results.msg) {
      resp.details = results.msg;
    } else {
      resp.details =results.message;
    }
  }
</script>

<svelte:head>
  <title>PBAC origin API — Digilab</title>
</svelte:head>

<div class="container mx-auto p-4">
  <h1 class="mb-4 text-3xl font-semibold">Test requests</h1>

  <form
    class="mb-5"
    on:submit={() => {
      sendRequest();
    }}
  >
    <p class="mb-1">Naam</p>
    <p class="mb-4">
      <input
        bind:value={user.name}
        type="text"
        class="inline-block w-80 rounded-lg border border-gray-300 p-2.5 text-gray-800 placeholder:text-gray-400 focus:border-indigo-500 focus:outline-none focus:ring-1 focus:ring-indigo-500"
        placeholder="Naam"
        autocomplete="off"
      />
    </p>
    <p class="mb-1">Oin</p>
    <p class="mb-4">
      <input
        bind:value={user.oin}
        type="text"
        class="inline-block w-80 rounded-lg border border-gray-300 p-2.5 text-gray-800 placeholder:text-gray-400 focus:border-indigo-500 focus:outline-none focus:ring-1 focus:ring-indigo-500"
        placeholder="OIN"
        autocomplete="off"
      />
    </p>
    <button
      type="submit"
      class="inline-block rounded-lg border border-indigo-700 bg-indigo-600 px-2.5 py-1.5 text-sm font-medium text-white shadow-sm hover:border-indigo-800 hover:bg-indigo-700 focus:outline-none focus:ring-4 focus:ring-indigo-100"
      >Verstuur</button
    >
  </form>

  <h1>Response</h1>
  <table>
    <thead>
      <tr>
        <th>Code</th>
        <th>Details</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <th>{resp.code}</th>
        <th>{resp.details}</th>
      </tr>
    </tbody>
  </table>
</div>
